
Redmine - Defect #13601

Repository history problems following svn mv

2013-03-26 19:27 - Christopher Backhouse

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

When viewing history of an svn repository in the Repository/ tab, "svn mv"'d files don't behave well.

The view shows all the previous revisions of the file, including under its old name, as expected. But diffs between some versions

don't work, either they show a blank page or "The entry or revision was not found in the repository.". The pattern seems to be that

diffs where one revision has the new name are OK, but diffs entirely between revisions with the old name are not.

This seems similar to issue 3832, but that was for git, and is marked resolved.

It may be relevant that previously a file of the old name existed.

ie, the history is something like:

svn add foo bar

svn commit

1. edit foo and bar

svn commit

svn rm bar

svn mv foo bar

svn commit

And it's the first two revisions I can't take a diff between.

Unfortunately I don't know any information about the version of redmine, I'm just a user. It's the instance here:

https://cdcvs.fnal.gov/redmine/

Related issues:

Is duplicate of Redmine - Defect #2493: Subversion: Error message for some of... Confirmed 2009-01-12

History

#1 - 2013-03-26 23:50 - Toshi MARUYAMA

- Category set to SCM

#2 - 2013-03-26 23:54 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #2493.
